Summary: Ceph Squid packages from the CentOS Storage SIG repository
Name: centos-release-ceph-squid
Version: 1.0
Release: 2%{?dist}
License: GPLv2
URL: http://wiki.centos.org/SpecialInterestGroup/Storage
Source0: CentOS-Ceph-Squid.repo
BuildArch: noarch

%if 0%{?centos} >= 8
# $contentdir for altarch support was added with CentOS-8.5
Requires: centos-stream-release >= 10.0-0.0.el10
%endif
# This provides the public key to verify the RPMs
Requires: centos-release-storage-common

Provides: centos-release-ceph = 19

%description
yum configuration for Ceph Squid packages from the CentOS Storage SIG.

%install
install -D -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-Ceph-Squid.repo
%if 0%{?centos} < 7
sed -i 's/i\$contentdir/centos/g' %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-Ceph-Squid.repo
%endif

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Ceph-Squid.repo

%changelog
* Wed Jan 22 2025 Kaleb S. KEITHLEY <kkeithle[at]redhat.com> - 1.0-1
- squid

